Ubuntu

fglrx-kernel-source does not compile: SIGIO undeclared

Reported by Benjamin Redelings on 2009-11-19
30
This bug affects 5 people
Affects Status Importance Assigned to Milestone
fglrx-driver (Debian)
Fix Released
Unknown
fglrx-installer (Ubuntu)
Medium
Loïc Minier

Bug Description

Binary package hint: xorg

Hi,

Apparently DKMS is failing to build the fglrx module. I manually instructed DKMS to build the module, and it failed because of a compilation error. Here is the output from build/make.log:

DKMS make.log for fglrx-8.660 for kernel 2.6.32-4-generic (x86_64)
Thu Nov 19 14:10:17 EST 2009
AMD kernel module generator version 2.1
doing Makefile based build for kernel 2.6.x and higher
rm -rf *.c *.h *.o *.ko *.GCC* .??* *.symvers
make -C /lib/modules/2.6.32-4-generic/build SUBDIRS=/var/lib/dkms/fglrx/8.660/build/2.6.x modules
make[1]: Entering directory `/usr/src/linux-headers-2.6.32-4-generic'
  CC [M] /var/lib/dkms/fglrx/8.660/build/2.6.x/firegl_public.o
In file included from /var/lib/dkms/fglrx/8.660/build/2.6.x/firegl_public.c:443:
/var/lib/dkms/fglrx/8.660/build/2.6.x/drm_proc.h: In function ‘FGLDRM__vma_info’:
/var/lib/dkms/fglrx/8.660/build/2.6.x/drm_proc.h:497: warning: format ‘%08lx’ expects type ‘long unsigned int’, but argument 5 has type ‘phys_addr_t’
  CC [M] /var/lib/dkms/fglrx/8.660/build/2.6.x/kcl_acpi.o
  CC [M] /var/lib/dkms/fglrx/8.660/build/2.6.x/kcl_agp.o
  CC [M] /var/lib/dkms/fglrx/8.660/build/2.6.x/kcl_debug.o
  CC [M] /var/lib/dkms/fglrx/8.660/build/2.6.x/kcl_ioctl.o
  CC [M] /var/lib/dkms/fglrx/8.660/build/2.6.x/kcl_io.o
/var/lib/dkms/fglrx/8.660/build/2.6.x/kcl_io.c: In function ‘KCL_IO_FASYNC_Terminate’:
/var/lib/dkms/fglrx/8.660/build/2.6.x/kcl_io.c:122: error: ‘SIGIO’ undeclared (first use in this function)
/var/lib/dkms/fglrx/8.660/build/2.6.x/kcl_io.c:122: error: (Each undeclared identifier is reported only once
/var/lib/dkms/fglrx/8.660/build/2.6.x/kcl_io.c:122: error: for each function it appears in.)
make[2]: *** [/var/lib/dkms/fglrx/8.660/build/2.6.x/kcl_io.o] Error 1
make[1]: *** [_module_/var/lib/dkms/fglrx/8.660/build/2.6.x] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-2.6.32-4-generic'
make: *** [kmod_build] Error 2
build failed with return value 2

So, I'm guessing that its just that 2.6.32-4 has changed some #define's.

ProblemType: Bug
Architecture: amd64
Date: Thu Nov 19 14:14:10 2009
DistroRelease: Ubuntu 10.04
MachineType: LENOVO 2767WYA
Package: xorg 1:7.4+3ubuntu9
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-4-generic root=UUID=1f0bd46c-d880-446f-affc-1ecbf92d9b8e ro quiet splash
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-4.5-generic
RelatedPackageVersions:
 xserver-xorg 1:7.4+3ubuntu9
 libgl1-mesa-glx 7.6.0-1ubuntu4
 libdrm2 2.4.14-1ubuntu1
 xserver-xorg-video-intel 2:2.9.0-1ubuntu2
 xserver-xorg-video-ati 1:6.12.99+git20090929.7968e1fb-0ubuntu1
SourcePackage: xorg
Symptom: display
Tags: performance
Uname: Linux 2.6.32-4-generic x86_64
dmi.bios.date: 10/13/2009
dmi.bios.vendor: LENOVO
dmi.bios.version: 7UET79WW (3.09 )
dmi.board.name: 2767WYA
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7UET79WW(3.09):bd10/13/2009:svnLENOVO:pn2767WYA:pvrThinkPadT400:rvnLENOVO:rn2767WYA:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 2767WYA
dmi.product.version: ThinkPad T400
dmi.sys.vendor: LENOVO
fglrx: Not loaded
system:
 distro: Ubuntu
 architecture: x86_64kernel: 2.6.32-4-generic

affects: xorg (Ubuntu) → fglrx-installer (Ubuntu)

the fix is to add
#include <linux/signal.h>to
/usr/src/fglrx-8.660/kcl_io.c

Changed in fglrx-installer (Ubuntu):
status: New → Confirmed
Changed in fglrx-driver (Debian):
status: Unknown → Fix Released

fixed upstream in debian
fglrx-driver (1:9-10-2) unstable; urgency=low

  * Implemented dkms support with our new fglrx-modules-dkms package.
  * Remove old fglrx-amdcccle and fglrx-kernel-src dummy packages.
  * Fix VERSION and UPSTREAM_VERSION in debian/rules.
  * Replace my old email address in the dpatch headers.
  * Add 05-fix_missing_signal_include.dpatch, which lets fglrx compile against
    Linux 2.6.32-rc5. Thanks to Stefan Bühler for his patch.
    Closes: #554401

 -- Patrick Matthäi <email address hidden> Wed, 04 Nov 2009 17:53:54 +0100

fglrx-installer (2:8.660-0ubuntu5) lucid; urgency=low

  * Add 05-fix_missing_signal_include.diff, which lets fglrx compile against
    Linux 2.6.32-rc5. Thanks to Stefan Bühler for his patch. Fixed in debian
    fglrx-driver (1:9-10-2) (LP: #485444)

 -- SevenMachines <email address hidden> Fri, 20 Nov 2009 06:50:27 +0000

https://launchpad.net/~sevenmachines/+archive/ppa

Loïc Minier (lool) wrote :

Uploaded, thanks!

Changed in fglrx-installer (Ubuntu):
assignee: nobody → Loïc Minier (lool)
importance: Undecided → Medium
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer - 2:8.660-0ubuntu5

---------------
fglrx-installer (2:8.660-0ubuntu5) lucid; urgency=low

  * Add 05-fix_missing_signal_include.diff, which lets fglrx compile against
    Linux 2.6.32-rc5. Thanks to Stefan Bühler for his patch. Fixed in debian
    fglrx-driver (1:9-10-2) (LP: #485444)
 -- SevenMachines <email address hidden> Fri, 20 Nov 2009 06:50:27 +0000

Changed in fglrx-installer (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.